clan::IntersectionTest Class Reference - ClanLib SDK
Description: clan::IntersectionTest Class Reference

Public Types | Static Public Member Functions | List of all members
clan::IntersectionTest Class Reference
clanCore Math

`#include <intersection_test.h>`

## Public Types
enum | OverlapResult { disjoint , overlap }
enum | Result { outside , inside , intersecting }

## Static Public Member Functions
static OverlapResult | aabb (const AxisAlignedBoundingBox &a, const AxisAlignedBoundingBox &b)
static Result | frustum_aabb (const FrustumPlanes &frustum, const AxisAlignedBoundingBox &box)
static Result | frustum_obb (const FrustumPlanes &frustum, const OrientedBoundingBox &box)
static Result | plane_aabb (const Vec4f &plane, const AxisAlignedBoundingBox &aabb)
static Result | plane_obb (const Vec4f &plane, const OrientedBoundingBox &obb)
static OverlapResult | ray_aabb (const Vec3f &ray_start, const Vec3f &ray_end, const AxisAlignedBoundingBox &box)
static OverlapResult | sphere (const Vec3f &center1, float radius1, const Vec3f &center2, float radius2)
static OverlapResult | sphere_aabb (const Vec3f &center, float radius, const AxisAlignedBoundingBox &aabb)

## Member Enumeration Documentation

## ◆ OverlapResult

enum clan::IntersectionTest::OverlapResult

Enumerator
disjoint |
overlap |

## ◆ Result

enum clan::IntersectionTest::Result

Enumerator
outside |
inside |
intersecting |

## Member Function Documentation

## ◆ aabb()

static OverlapResult clan::IntersectionTest::aabb | ( | const AxisAlignedBoundingBox & | a,
|  | const AxisAlignedBoundingBox & | b )
| static

## ◆ frustum_aabb()

static Result clan::IntersectionTest::frustum_aabb | ( | const FrustumPlanes & | frustum,
|  | const AxisAlignedBoundingBox & | box )
| static

## ◆ frustum_obb()

static Result clan::IntersectionTest::frustum_obb | ( | const FrustumPlanes & | frustum,
|  | const OrientedBoundingBox & | box )
| static

## ◆ plane_aabb()

static Result clan::IntersectionTest::plane_aabb | ( | const Vec4f & | plane,
|  | const AxisAlignedBoundingBox & | aabb )
| static

## ◆ plane_obb()

static Result clan::IntersectionTest::plane_obb | ( | const Vec4f & | plane,
|  | const OrientedBoundingBox & | obb )
| static

## ◆ ray_aabb()

static OverlapResult clan::IntersectionTest::ray_aabb | ( | const Vec3f & | ray_start,
|  | const Vec3f & | ray_end,
|  | const AxisAlignedBoundingBox & | box )
| static

## ◆ sphere()

static OverlapResult clan::IntersectionTest::sphere | ( | const Vec3f & | center1,
|  | float | radius1,
|  | const Vec3f & | center2,
|  | float | radius2 )
| static

## ◆ sphere_aabb()

static OverlapResult clan::IntersectionTest::sphere_aabb | ( | const Vec3f & | center,
|  | float | radius,
|  | const AxisAlignedBoundingBox & | aabb )
| static

The documentation for this class was generated from the following file:

- intersection_test.h